AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.MappingStrategies
ResourceMappingStrategy Class
ResourceMappingStrategy Constructor
ResourceMappingStrategy Methods
ResourceMappingStrategy Properties

| ResourceMappingStrategy Class

A MappingStrategy that is configured via a resource bundle.
The resource bundle contains the script part of the url as key and the fully qualified class name of the corresponding AGIScript as value.
Example:

                noopcommand = AsterNET.FastAGI.Command.NoopCommand

NoopCommand must implement the AGIScript interface and have a default constructor with no parameters.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.MappingStrategies
ResourceMappingStrategy

Namespace: AsterNET.FastAGI.MappingStrategies
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ResourceMappingStrategy : IMappingStrategy

    Public Class ResourceMappingStrategy
    	Implements IMappingStrategy

    public ref class ResourceMappingStrategy : IMappingStrategy

    type ResourceMappingStrategy =
        class
            interface IMappingStrategy
        end

The ResourceMappingStrategy type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ResourceMappingStrategy | Initializes a new instance of the ResourceMappingStrategy class
| ResourceMappingStrategy(String) | Initializes a new instance of the ResourceMappingStrategy class

Top
Methods

| Name | Description
--- | --- | ---
| DetermineScript |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Load |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| ResourceBundleName |

Top
See Also

#### Reference

AsterNET.FastAGI.MappingStrategies Namespace